import {Renderer} from "@k8slens/extensions";
import React from "react";
import {store} from "../vulnerabilityreports/store";
import {VulnerabilityReportDetails} from "../vulnerabilityreports/details";
import {VulnerabilityReport} from "../vulnerabilityreports/types";

// This component is trying to lookup the VulnerabilityReports associated with the
// specified Kubernetes workload and then render those reports.
export class WorkloadVulnerabilityReports extends React.Component<Renderer.Component.KubeObjectDetailsProps> {

    render() {
        const {object: workload} = this.props;

        const selector = [
            "trivy-operator.resource.kind=" + workload.kind,
            "trivy-operator.resource.name=" + workload.getName(),
            "trivy-operator.resource.namespace=" + workload.getNs()
        ];

        const vulnerabilityReports = store.getByLabel(selector)

        return (
            <div>
                <Renderer.Component.DrawerTitle title="VulnerabilityReports"/>
                {vulnerabilityReports.length == 0 && <div>N/A</div>}
                {
                    vulnerabilityReports.map((report: VulnerabilityReport) => {
                        return (
                            <VulnerabilityReportDetails object={report}/>
                        );
                    })
                }
            </div>
        )
    }
}
